Can not get curve of beam by the method GetCurve()

I would like to ask that why I can not get the line of beam by GetCurve()?

I delt with getting a lot of beam lines, but part of my beam lines can not be gotten by GetCurve()
To be more specific, I can use the method, AnalyticalModelStick(), showing on the upper of picture, but it can not using the method, GetCurve(), showing “empty” on the below of picture.

Does anyone know the reason? is something wrong with my revit element of the beam?

Generally, the expectation should be like bigger beam ,so I can get the blue line of bigger beam , but fail to get the line of smaller beam. Because it will show “empty” by using GetCurve()

What about using GetCurves()?

# Phython-Standard- und DesignScript-Bibliotheken laden
import sys
import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

clr.AddReference("RevitAPI")
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Structure import *

element = UnwrapElement(IN[0])


OUT = element.GetAnalyticalModel().GetCurves(AnalyticalCurveType.BaseCurve)
2 Likes

It works! Thank you very much.

Could you share the why that need to use GetCurves() from DB.structure??